/*****************************************************************************
 *                   SEGGER Microcontroller GmbH & Co. KG                    *
 *            Solutions for real time microcontroller applications           *
 *****************************************************************************
 *                                                                           *
 *               (c) 2018 SEGGER Microcontroller GmbH & Co. KG               *
 *                                                                           *
 *           Internet: www.segger.com   Support: support@segger.com          *
 *                                                                           *
 *****************************************************************************/

#ifndef __Kinetis_KWxx_h
#define __Kinetis_KWxx_h

#if defined(MKW01Z128xxx4)

#include "MKW01Z4.h"

#elif defined(MKW21D256xxx5) || defined(MKW21D512xxx5)

#include "MKW21D5.h"

#elif defined(MKW22D512xxx5)

#include "MKW22D5.h"

#elif defined(MKW24D512xxx5)

#include "MKW24D5.h"

#elif defined(MKW20Z160xxx4)

#include "MKW20Z4.h"

#elif defined(MKW21Z256xxx4) || defined(MKW21Z512xxx4)

#include "MKW21Z4.h"

#elif defined(MKW30Z160xxx4)

#include "MKW30Z4.h"

#elif defined(MKW31Z256xxx4) || defined(MKW31Z512xxx4)

#include "MKW31Z4.h"

#elif defined(MKW40Z160xxx4)

#include "MKW40Z4.h"

#elif defined(MKW41Z256xxx4) || defined(MKW41Z512xxx4)

#include "MKW41Z4.h"

#elif defined(MKW35A512xxx4)

#include "MKW35A4.h"

#elif defined(MKW35Z512xxx4)

#include "MKW35Z4.h"

#elif defined(MKW36A512xxx4)

#include "MKW36A4.h"

#elif defined(MKW36Z512xxx4)

#include "MKW36Z4.h"

#endif

#endif
